Bug 178726 - [PATCH] databases/mariadb55-server: multi-instances startup script
Summary: [PATCH] databases/mariadb55-server: multi-instances startup script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-17 18:50 UTC by geoffroy desvernay
Modified: 2014-07-12 01:22 UTC (History)
3 users (show)

See Also:


Attachments
mariadb-server-5.5.30.patch (4.64 KB, patch)
2013-05-17 18:50 UTC, geoffroy desvernay
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description geoffroy desvernay 2013-05-17 18:50:03 UTC
modify mysql-server script to allow multiple instances to be launched, as my old mariadb-server's port do
ex. rc.conf:
mysql_instances="one two"
mysql_two_user="mytwo"
mysql_two_dbdir="/data/mytwo"
mysql_one_user="myone"
mysql_one_dbdir="/data/myone"

I merged "mysql_optfile" from mysql55-server, mariadb55-server's script and old one.

This should not change behaviour of the script without instances (default is to use 
$mysql_* variables and to launch one server)

I cc'd perconna and mysql's maintainers as this could be used as well with their ports.

Let me know your thoughts about this (here we are using *many* unix-isolated instances 
instead of VM's or monolithic DB server since more than 10 years with this script)

Port maintainer (never@nevermind.kiev.ua) is cc'd.

Generated with FreeBSD Port Tools 0.99_7 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-05-17 18:50:20 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 geoffroy desvernay 2013-05-22 08:27:00 UTC
>Synopsis: [PATCH] databases/mariadb55-server: multi-instances startup

script

Sorry, I intended to submit this patch for databases/mariadb55-server,
not mariadb-server that already contains this feature...

-- 
*geoffroy desvernay*
C.R.I - Administration systèmes et réseaux
Ecole Centrale de Marseille
Tel: (+33|0)4 91 05 45 24
Fax: (+33|0)4 91 05 45 98
dgeo@centrale-marseille.fr

Comment 3 geoffroy desvernay 2013-11-21 21:32:38 UTC
This is a multi-part message in MIME format.
Comment 4 geoffroy desvernay 2014-01-17 14:33:32 UTC
Wrong class: should be change-request (I'm not maintainer of
mariadb55-server)

@maintainer: now you know it exist :) sorry for my fault :-|
-- 
*geoffroy desvernay*
C.R.I - Administration systèmes et réseaux
Ecole Centrale de Marseille

Comment 5 Mark Linimon freebsd_committer freebsd_triage 2014-01-17 18:05:19 UTC
Class Changed
From-To: maintainer-update->change-request

change class per submitter request.
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2014-03-29 19:30:34 UTC
State Changed
From-To: open->feedback

To never@nevermind.kiev.ua: I don't understand why the autoassigner 
did not assign this PR to you.  I am doing it manually.
Comment 7 geoffroy desvernay 2014-05-15 14:23:11 UTC
maintainer timeout ?

-- 
*geoffroy desvernay*
C.R.I - Administration systèmes et réseaux
Ecole Centrale de Marseille

Comment 8 geoffroy desvernay 2014-06-17 17:31:06 UTC
Using this patch for more than a year now…

Isn't this a maintainer timeout ?
Comment 9 never 2014-06-17 20:49:44 UTC
Sorry, I missed this PR completely. Just tested your patch - works fine!

I approve that.
Comment 10 Mark Linimon freebsd_committer freebsd_triage 2014-06-23 03:32:00 UTC
Maintainer has responded with approval.
Comment 11 geoffroy desvernay 2014-06-24 15:43:37 UTC
Could a commiter have a look at this one please ?
Comment 12 commit-hook freebsd_committer 2014-07-12 01:11:44 UTC
A commit references this bug:

Author: marino
Date: Sat Jul 12 01:11:24 UTC 2014
New revision: 361594
URL: http://svnweb.freebsd.org/changeset/ports/361594

Log:
  databases/mariadb55-server: Allow multiple instances to launch

  PR:		178726
  Submitted by:	dgeo (centrale-marseille.fr)
  Approved by:	maintainer (Alexandr Kovalenko)

Changes:
  head/databases/mariadb55-server/Makefile
  head/databases/mariadb55-server/files/mysql-server.in